#ifndef F_CPU
#define F_CPU 16000000UL
#endif
#include <avr/io.h>
#include <util/delay.h>
#include <avr/pgmspace.h>   /* required by usbdrv.h */
#include <stdio.h>
char in_c(char bit)
{
    // read logic level of port-C's pin
    DDRC &= ~(1<<bit);
    return ((PINC & (1<<bit))>>bit);    
} 
char in_b(char bit)
{
    // read logic level of port-C's pin
    DDRB &= ~(1<<bit);
    return ((PINB & (1<<bit))>>bit);    
} 
void out_c(char bit, char val)
{
    // write logic level to port-C's pin
    DDRC |= 1<<bit;
    if(val)
        PORTC |= 1<<bit;
    else
        PORTC &= ~(1<<bit);

}
void out_b(char bit, char val)
{
    // write logic level to port-C's pin
    DDRB |= 1<<bit;
    if(val)
        PORTB |= 1<<bit;
    else
        PORTB &= ~(1<<bit);

}
uint16_t read_adc(uint8_t channel)
{
    // read analog value from specified channel of port C
    ADMUX = 0x40;
    ADMUX |= channel;
    ADCSRA = 0xC6;
    while ((ADCSRA & (1<<ADSC)))
        ;
    return ADCL + ADCH*256;
}


main()
{
    uint16_t x;
    while (1)
    {
        // read voltage from light sensor
        x = read_adc(4);
        if (x > 700)
        {	//_delay_ms(100);
		out_c(1,1);
		
		out_c(2,1);
				
		out_c(3,1);
		
		out_c(0,1);
		
		out_c(5,1);
		
		out_b(0,1);
		
		out_b(1,1);
		
		out_b(2,1);
				
		out_b(3,1);
		
		out_b(4,1);
		
		out_b(5,1);
        }
        else if (x >500)
        {	_delay_ms(100);
	   	out_c(1,1);
		_delay_ms(130);
		out_c(2,1);
		_delay_ms(160);		
		out_c(3,1);
		_delay_ms(180);
		out_c(0,1);
		_delay_ms(200);
		out_c(5,1);
		_delay_ms(220);
		out_b(0,1);
		_delay_ms(210);
		out_b(1,1);
		_delay_ms(120);
		out_b(2,1);
		_delay_ms(120);		
		out_b(3,1);
		
		out_b(4,0);
		
		out_b(5,0);
        
        }
        else if (x >300)
        {      
		out_c(1,1);
		
		out_c(2,1);
		
		out_c(3,1);
		
		out_c(0,1);
		
		out_c(5,1);
		
		out_b(0,1);
		
		out_b(1,0);
		
		out_b(2,0);
				
		out_b(3,0);
		
		out_b(4,0);
		
		out_b(5,0);	
		           
        }
	else if (x>200)
	{
		out_c(1,1);
		
	   	out_c(2,1);
				
		out_c(3,1);
		
		out_c(0,0);
		
		out_c(5,0);
		
		out_b(0,0);
		
		out_b(1,0);
		
		out_b(2,0);
				
		out_b(3,0);
		
		out_b(4,0);
		
		out_b(5,0);
		
	
        
    }
}
    return 0;
}
